Skip to main content
PUT
/
api
/
restock-plans
/
{planId}
/
items
Update restock plan item
curl --request PUT \
  --url https://app.solya.app/api/restock-plans/{planId}/items \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "quantity": 20,
  "shopId": "shop-uuid-paris-opera",
  "sizeId": "sz-uuid-43",
  "variantId": "var-uuid-adidas-stan"
}
'
{
  "itemId": "rsi-uuid-001",
  "success": true
}

Authorizations

Authorization
string
header
required

User session token issued by NextAuth. For human users accessing Solya via the web application.

Path Parameters

planId
string
required

Restock plan identifier

Minimum string length: 1

Body

application/json
quantity
number
required

Updated quantity to restock

shopId
string
required

Destination shop identifier of the item to update

Minimum string length: 1
sizeId
string
required

Size identifier of the item to update

Minimum string length: 1
variantId
string
required

Product variant identifier of the item to update

Minimum string length: 1

Response

Successful response

data
object
required
success
enum<boolean>
required
Available options:
true